var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getErrors = void 0;

var _axeCore = _interopRequireDefault(require("axe-core"));

var _axeRules = _interopRequireDefault(require("./axe-rules.json"));

const getErrors = page => page.evaluate((axeSource, axeRules) => {
  const {
    getReactPath,
    getAttrs
  } = window.r11y;
  eval(axeSource);
  return window.axe.run(document.getElementById('root'), {
    reporter: 'no-passes',
    selectors: false,
    elementRef: true,
    runOnly: {
      type: 'rule',
      values: axeRules
    }
  }).then(result => {
    return result.violations.reduce((acc, item) => {
      for (const node of item.nodes) {
        const el = node.element;
        const reactPath = getReactPath(el);
        acc.push({
          rule: item.id,
          path: reactPath,
          tag: el.tagName.toLowerCase(),
          attrs: getAttrs(el)
        });
      }

      return acc;
    }, []);
  });
}, _axeCore.default.source, _axeRules.default);

exports.getErrors = getErrors;