Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getNavigationFlow = void 0;

const getNavigationFlow = async page => {
  const navigationFlow = [];

  while (true) {
    await page.keyboard.press('Tab');
    const navigationItem = await page.evaluate(() => {
      const {
        getReactPath,
        getAttrs
      } = window.r11y;
      const el = document.activeElement;
      const reactPath = getReactPath(el);
      return {
        path: reactPath,
        tag: el.tagName.toLowerCase(),
        attrs: getAttrs(el)
      };
    });

    if (navigationItem.tag === 'body') {
      break;
    }

    navigationFlow.push(navigationItem);
  }

  return navigationFlow;
};

exports.getNavigationFlow = getNavigationFlow;