Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getA11yData = void 0;

var _foreal = require("foreal");

var _getErrors = require("./get-errors");

var _getNavigationFlow = require("./get-navigation-flow");

var _injectHelpers = require("./inject-helpers");

const getA11yData = async options => {
  const page = await (0, _foreal.getAppPage)({
    entryPointPath: options.entryPointPath,
    fontsDir: options.fontsDir
  });
  await (0, _injectHelpers.injectHelpers)(page);
  const errors = await (0, _getErrors.getErrors)(page);
  const navigationFlow = await (0, _getNavigationFlow.getNavigationFlow)(page);
  await page.close();
  return {
    errors,
    navigationFlow
  };
};

exports.getA11yData = getA11yData;