export declare type TStringObject = {
    [k: string]: string;
};
export declare type TGetA11yDataOptions = {
    entryPointPath: string;
    fontsDir?: string;
};
export declare type TNavigationItem = {
    path: string | null;
    tag: string;
    attrs: TStringObject;
};
export declare type TError = {
    rule: string;
    path: string | null;
    tag: string;
    attrs: TStringObject;
};
export declare type TA11Data = {
    errors: TError[];
    navigationFlow: TNavigationItem[];
};
export declare type TWindow = Window & {
    r11y: {
        getReactName(el: Element): string | null;
        getReactPath(el: Element): string | null;
        getAttrs(el: Element): TStringObject;
    };
};
